API Status Get API Key

Create Tag

Try in Explorer

Create a tag in an organization, giving it a name and a color. Names must be unique within the organization, and color is a six-digit hex triplet. Requires the posts:write scope.

mutation CreateTag {
  createTag(input: {
    organizationId: "some_organization_id",
    tag: {
      name: "Summer sales"
      color: "#F523F1"
    }
  }) {
    ... on TagActionSuccess {
      tag {
        id
        name
        color
        colorName
        isLocked
      }
    }
    ... on MutationError {
      message
    }
  }
}
curl -X POST 'https://api.buffer.com' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -d '{"query": "mutation CreateTag {\n  createTag(input: {\n    organizationId: \"some_organization_id\",\n    tag: {\n      name: \"Summer sales\"\n      color: \"#F523F1\"\n    }\n  }) {\n    ... on TagActionSuccess {\n      tag {\n        id\n        name\n        color\n        colorName\n        isLocked\n      }\n    }\n    ... on MutationError {\n      message\n    }\n  }\n}"}'
async function createTag() {
  const response = await fetch('https://api.buffer.com', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer YOUR_API_KEY',
    },
    body: JSON.stringify({
      query: `
      mutation CreateTag {
        createTag(input: {
          organizationId: "some_organization_id",
          tag: {
            name: "Summer sales"
            color: "#F523F1"
          }
        }) {
          ... on TagActionSuccess {
            tag {
              id
              name
              color
              colorName
              isLocked
            }
          }
          ... on MutationError {
            message
          }
        }
      }
      `,
    }),
  });

  const data = await response.json();
  console.log(JSON.stringify(data, null, 2));
}

createTag();
import requests

query = """
mutation CreateTag {
  createTag(input: {
    organizationId: "some_organization_id",
    tag: {
      name: "Summer sales"
      color: "#F523F1"
    }
  }) {
    ... on TagActionSuccess {
      tag {
        id
        name
        color
        colorName
        isLocked
      }
    }
    ... on MutationError {
      message
    }
  }
}
"""

response = requests.post(
    "https://api.buffer.com",
    headers={
        "Content-Type": "application/json",
        "Authorization": "Bearer YOUR_API_KEY",
    },
    json={
        "query": query,
    },
)

data = response.json()
print(data)
<?php

$query = '
mutation CreateTag {
  createTag(input: {
    organizationId: "some_organization_id",
    tag: {
      name: "Summer sales"
      color: "#F523F1"
    }
  }) {
    ... on TagActionSuccess {
      tag {
        id
        name
        color
        colorName
        isLocked
      }
    }
    ... on MutationError {
      message
    }
  }
}
';

$payload = [
    'query' => $query,
];

$ch = curl_init('https://api.buffer.com');
curl_setopt_array($ch, [
    CURLOPT_POST => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'Authorization: Bearer YOUR_API_KEY',
    ],
    CURLOPT_POSTFIELDS => json_encode($payload),
    CURLOPT_RETURNTRANSFER => true,
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);